Skip to main content
GET
/
examples
/
dispatch-event
Get Example Dispatch Event
curl --request GET \
  --url https://api-sandbox.axle.energy/examples/dispatch-event \
  --header 'Authorization: Bearer <token>'
{
  "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "issued_timestamp": "2023-11-07T05:31:56Z",
  "event_timestamp": "2023-11-07T05:31:56Z",
  "market_id": "<string>",
  "level_kw": 123,
  "from_time": "2023-11-07T05:31:56Z",
  "to_time": "2023-11-07T05:31:56Z",
  "update_status_callback": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Example dispatch event

asset_id
string<uuid>
required

Asset or aggregate to which this event pertains

event_id
string<uuid>
required

UID of this event

issued_timestamp
string<date-time>
required

When the event was published (UTC)

event_timestamp
string<date-time>
required

When the event occurred, if different from publication (UTC)

market_id
string
required

Market from which this dispatch originates

level_kw
number
required

Desired power output of asset

from_time
string<date-time>
required

Start time of event (UTC)

to_time
string<date-time>
required

End time of event (UTC)

update_status_callback
required

Callback to change status of event to RECEIVED, ACCEPTED, REJECTED, FAILED, or EXECUTED